Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.xensource.xenapi
Enum Types.StorageOperations

    java.lang.Object
      java.lang.Enum<Types.StorageOperations>
          com.xensource.xenapi.Types.StorageOperations

All Implemented Interfaces:
  Serializable, Comparable<Types.StorageOperations>

Enclosing class:
  Types

    public static enum Types.StorageOperations

extends Enum<Types.StorageOperations>

Enum Constant Summary
`DESTROY` Destroying the SR
`FORGET` Forgetting about SR
`PBD_CREATE` Creating a PBD for this SR
`PBD_DESTROY` Destroying one of this SR's PBDs
`PLUG` Plugging a PBD into this SR
`SCAN` Scanning backends for new or deleted VDIs
`UNPLUG` Unplugging a PBD from this SR
`UNRECOGNIZED` The value does not belong to this enumeration
`UPDATE` Refresh the fields on the SR
`VDI_CLONE` Cloneing a VDI
`VDI_CREATE` Creating a new VDI
`VDI_DESTROY` Destroying a VDI
`VDI_INTRODUCE` Introducing a new VDI
`VDI_RESIZE` Resizing a VDI
`VDI_SNAPSHOT` Snapshotting a VDI

Method Summary
`String` | `toString()`
`static Types.StorageOperations` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Types.StorageOperations[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNRECOGNIZED

    public static final Types.StorageOperations UNRECOGNIZED

  The value does not belong to this enumeration

### SCAN

    public static final Types.StorageOperations SCAN

  Scanning backends for new or deleted VDIs

### DESTROY

    public static final Types.StorageOperations DESTROY

  Destroying the SR

### FORGET

    public static final Types.StorageOperations FORGET

  Forgetting about SR

### PLUG

    public static final Types.StorageOperations PLUG

  Plugging a PBD into this SR

### UNPLUG

    public static final Types.StorageOperations UNPLUG

  Unplugging a PBD from this SR

### UPDATE

    public static final Types.StorageOperations UPDATE

  Refresh the fields on the SR

### VDI_CREATE

    public static final Types.StorageOperations VDI_CREATE

  Creating a new VDI

### VDI_INTRODUCE

    public static final Types.StorageOperations VDI_INTRODUCE

  Introducing a new VDI

### VDI_DESTROY

    public static final Types.StorageOperations VDI_DESTROY

  Destroying a VDI

### VDI_RESIZE

    public static final Types.StorageOperations VDI_RESIZE

  Resizing a VDI

### VDI_CLONE

    public static final Types.StorageOperations VDI_CLONE

  Cloneing a VDI

### VDI_SNAPSHOT

    public static final Types.StorageOperations VDI_SNAPSHOT

  Snapshotting a VDI

### PBD_CREATE

    public static final Types.StorageOperations PBD_CREATE

  Creating a PBD for this SR

### PBD_DESTROY

    public static final Types.StorageOperations PBD_DESTROY

  Destroying one of this SR's PBDs

Method Detail

### values

    public static Types.StorageOperations[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Types.StorageOperations c : Types.StorageOperations.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Types.StorageOperations valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Types.StorageOperations>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD